Update an Apple Pass template
/v2/credentials/compact-semantic/digital-pass/apple/templates/{id}Updates an existing Apple Pass template by providing its ID and a .zip file. Refer to our Design an Apple Pass template guide for more information on how to design the template and how to structure the .zip file.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Apple Pass template ID
Template ID
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/compact-semantic/digital-pass/apple/templates/string" \ -F template="string" \ -F name="string" \ -F fileName="string" \ -F teamIdentifier="string" \ -F passTypeIdentifier="string" \ -F wwdr="string" \ -F signerCert="string" \ -F signerKey="string" \ -F signerKeyPassphrase="string"{ "id": "string", "passType": "apple", "name": "string", "metadata": { "fileName": "string", "teamIdentifier": "string", "passTypeIdentifier": "string" }}How would you rate this page?